Subject: RE: Git private branch Feature Suggestion

From: <[email-masked]>
Date: Wed, 10 Sep 2025 19:54:34 -0400

On September 10, 2025 7:29 PM, ynckz wrote:
>I have a request for you. Could you please add private branches? This is a really
>useful thing.
>Imagine that you want to publish your project as open source, but you need to hide
>the .env file in a separate repository. It's easier to do everything in one repository,
>but in a different branch. Maybe there is another way, and I'm just dumb as fuck,
>but here's another example:
>Say you don't want to release a new feature yet. To do so, create a private branch,
>make the feature there, then merge it into the main branch.
>
>Maybe I'm a dumb ass, and don't need to ask this of you, but GitLab, etc., anyway,
>I'd appreciate it if you could add this feature.

Put your private content into a submodule and set the visibility of that submodule
to private in GitLab. Your *.env files go in there and will not get shared.

Once you have this working, please try to use polite language instead of what is
In your message. Thanks.